Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
unable to build madwifi-ng drivers (ebuild&snapshots)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Kahless
n00b
n00b


Joined: 22 Sep 2003
Posts: 18

PostPosted: Fri Nov 03, 2006 4:07 pm    Post subject: unable to build madwifi-ng drivers (ebuild&snapshots) Reply with quote

hi all,

it's not possible to install the madwifi-ng drivers on my acer extensa 2000.

after a hard hd crash i was forced to reinstall them, but it didnt work.
btw. i have a 2.6.18-mm3 kernel

here's the compile output, hopefully useful for someone.

Code:
  CC [M]  /var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_monitor.o
  CC [M]  /var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_acl.o
  CC [M]  /var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_crypto_ccmp.o
cc1: warnings being treated as errors
/var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_crypto_ccmp.c: In function 'rijndael_encrypt':
/var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_crypto_ccmp.c:310: warning: 'crypto_cipher_encrypt' is deprecated (declared at include/linux/crypto.h:842)
make[2]: *** [/var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211/ieee80211_crypto_ccmp.o] Error 1
make[1]: *** [_module_/var/tmp/portage/madwifi-ng-0.9.2/work/madwifi-0.9.2/net80211] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.18-mm3'
make: *** [all] Error 2

!!! ERROR: net-wireless/madwifi-ng-0.9.2 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  madwifi-ng-0.9.2.ebuild, line 86:   Called linux-mod_src_compile
  linux-mod.eclass, line 482:   Called die

!!! Unable to make  KERNELPATH=/usr/src/linux ATH_RATE=ath_rate/sample all.
!!! If you need support, post the topmost build error, and the call stack if relevant.


i downloadet the latest snapshot too, but didn't work too.

:(
Back to top
View user's profile Send private message
Gergan Penkov
Veteran
Veteran


Joined: 17 Jul 2004
Posts: 1464
Location: das kleinste Kuhdorf Deutschlands :)

PostPosted: Fri Nov 03, 2006 4:30 pm    Post subject: Reply with quote

try this - in fact this snapshot (1754), was the first madwifi driver, which worked for me :)
also this will only work for i386 if you have amd64 or ppc you will need to change them...
Code:
 diff -Nua /usr/portage/net-wireless/madwifi-ng-tools//madwifi-ng-tools-0.9.2.ebuild /usr/local/overlays/portage/net-wireless/madwifi-ng-tools/madwifi-ng-tools-0.9.3_rc1754.ebuild
--- /usr/portage/net-wireless/madwifi-ng-tools//madwifi-ng-tools-0.9.2.ebuild   2006-09-24 11:36:12.000000000 +0200
+++ /usr/local/overlays/portage/net-wireless/madwifi-ng-tools/madwifi-ng-tools-0.9.3_rc1754.ebuild      2006-10-18 12:45:21.000000000 +0200
@@ -1,25 +1,28 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/madwifi-ng-tools/madwifi-ng-tools-0.9.2.ebuild,v 1.5 2006/09/24 09:28:54 hansmi Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/madwifi-ng-tools/madwifi-ng-tools-0.9.2_rc1692.ebuild,v 1.1 2006/07/26 18:42:57 genstef Exp $
 
-inherit toolchain-funcs
+inherit toolchain-funcs linux-mod
 
-MY_P=${PN/-ng-tools/}-${PV}
-S=${WORKDIR}/${MY_P}/tools
+MY_P=${PN/-tools}-${PV/0.9.3_rc/r}-20061018
+S=${WORKDIR}/${MY_P}
 
 DESCRIPTION="Next Generation tools for configuration of Atheros based IEEE 802.11a/b/g wireless LAN cards"
 HOMEPAGE="http://www.madwifi.org/"
-SRC_URI="mirror://sourceforge/madwifi/madwifi-${PV}.tar.bz2"
+SRC_URI="http://snapshots.madwifi.org/madwifi-ng/${MY_P}.tar.gz"
 
 LICENSE="|| ( BSD GPL-2 )"
 SLOT="0"
-KEYWORDS="amd64 ppc x86"
+KEYWORDS="~amd64 ~ppc ~x86"
 
 IUSE=""
 DEPEND="virtual/libc"
 RDEPEND="!net-wireless/madwifi-old-tools
                ${DEPEND}"
 
+#pkg_setup() {
+#    linux-mod_pkg_setup
+#}
 src_unpack() {
        unpack ${A}
 
@@ -35,16 +38,18 @@
                -e "s:CC =.*:CC = $(tc-getCC):" \
                -e "s:CFLAGS=:CFLAGS+=:" \
                -e "s:LDFLAGS=:LDFLAGS+=:" \
-               ${S}/Makefile || die
+               ${S}/tools/Makefile || die
 }
 
 src_compile() {
-       emake || die "emake failed"
+
+       #emake  KERNELPATH=${KV_OUT_DIR} tools || die "emake tools failed"
+       emake  TARGET=i386-elf tools || die "emake tools failed"
 }
 
 src_install() {
-       emake DESTDIR="${D}" BINDIR=/usr/bin MANDIR=/usr/share/man STRIP=echo \
-               install || die "emake install failed"
+       make TARGET=i386-elf DESTDIR="${D}" BINDIR=/usr/bin MANDIR=/usr/share/man STRIP=echo \
+               install-tools || die "make install-tools failed"
 
        dodir /sbin
        mv "${D}"/usr/bin/wlanconfig "${D}"/sbin

Code:
 diff -Nua /usr/portage/net-wireless/madwifi-ng/madwifi-ng-0.9.2.ebuild /usr/local/overlays/portage/net-wireless/madwifi-ng/madwifi-ng-0.9.3_rc1754.ebuild
--- /usr/portage/net-wireless/madwifi-ng/madwifi-ng-0.9.2.ebuild        2006-09-24 11:36:12.000000000 +0200
+++ /usr/local/overlays/portage/net-wireless/madwifi-ng/madwifi-ng-0.9.3_rc1754.ebuild  2006-10-18 13:13:27.000000000 +0200
@@ -1,20 +1,19 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/madwifi-ng/madwifi-ng-0.9.2.ebuild,v 1.7 2006/09/24 09:32:34 hansmi Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/madwifi-ng/madwifi-ng-0.9.2_rc1692.ebuild,v 1.1 2006/07/26 18:44:56 genstef Exp $
 
 inherit linux-mod
 
-MY_P=${PN/-ng/}-${PV}
+MY_P=${P/0.9.3_rc/r}-20061018
 S=${WORKDIR}/${MY_P}
 
 DESCRIPTION="Next Generation driver for Atheros based IEEE 802.11a/b/g wireless LAN cards"
 HOMEPAGE="http://www.madwifi.org/"
-SRC_URI="mirror://sourceforge/madwifi/madwifi-${PV}.tar.bz2"
+SRC_URI="http://snapshots.madwifi.org/madwifi-ng/${MY_P}.tar.gz"
 
-LICENSE="as-is
-       || ( BSD GPL-2 )"
+LICENSE="|| ( BSD GPL-2 )"
 SLOT="0"
-KEYWORDS="amd64 ppc x86"
+KEYWORDS="~amd64 ~ppc ~x86"
 
 IUSE="amrr onoe"
 DEPEND="app-arch/sharutils"
@@ -31,7 +30,7 @@
 pkg_setup() {
        linux-mod_pkg_setup
 
-       MODULE_NAMES="ath_hal(net:${S}/ath)
+       MODULE_NAMES="ath_hal(net:${S}/ath_hal)
                                wlan(net:${S}/net80211)
                                wlan_acl(net:${S}/net80211)
                                wlan_ccmp(net:${S}/net80211)
@@ -68,20 +67,19 @@
        unpack ${A}
 
        cd ${S}
-       for dir in ath net80211 ath_rate/amrr ath_rate/onoe ath_rate/sample; do
+       for dir in ath ath_hal net80211 ath_rate/amrr ath_rate/onoe ath_rate/sample; do
                convert_to_m ${S}/${dir}/Makefile
        done
 }
 
 src_compile() {
        epatch ${FILESDIR}/madwifi-ng-uudecode-gcda-fix.patch
-#      epatch ${FILESDIR}/madwifi-association-fix.patch
 
        # assists in debugging
-       emake KERNELPATH=${KV_OUT_DIR} info || die "emake info failed"
+       emake TARGET=i386-elf KERNELPATH=${KV_OUT_DIR} info || die "emake info failed"
 
        # needed by the modules
-       emake svnversion.h
+       emake TARGET=i386-elf svnversion.h
 
        linux-mod_src_compile
 }

_________________
"I knew when an angel whispered into my ear,
You gotta get him away, yeah
Hey little bitch!
Be glad you finally walked away or you may have not lived another day."
Godsmack
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum